SimpleAlertAuxLog (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.SimpleAlertAuxLog class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events
Class SimpleAlertAuxLog

    java.lang.Object
      org.hyperic.hq.events.SimpleAlertAuxLog

All Implemented Interfaces:
  AlertAuxLog

Direct Known Subclasses:
  MetricAuxLog, ResourceAuxLog

    public class SimpleAlertAuxLog

extends java.lang.Object
implements AlertAuxLog

Constructor Summary
`SimpleAlertAuxLog(java.lang.String descr, long timestamp)`

Method Summary
`void` | `addChild(AlertAuxLog child)`
`java.util.List` | `getChildren()` Returns a list of `AlertAuxLog`s which are children of this log.
`java.lang.String` | `getDescription()` Get a text descritption of the log.
`AlertAuxLogProvider` | `getProvider()`
`long` | `getTimestamp()`
`java.lang.String` | `getURL()` Provide an optional URL which can be used to see more information about the log.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAlertAuxLog

    public SimpleAlertAuxLog(java.lang.String descr,
                             long timestamp)

Method Detail

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `AlertAuxLog`

### addChild

    public void addChild(AlertAuxLog child)

  Specified by:
    `addChild` in interface `AlertAuxLog`

### getChildren

    public java.util.List getChildren()

  Description copied from interface: `AlertAuxLog`
  Returns a list of `AlertAuxLog`s which are children of this log.

  Specified by:
    `getChildren` in interface `AlertAuxLog`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `AlertAuxLog`
  Get a text descritption of the log.

  Specified by:
    `getDescription` in interface `AlertAuxLog`

### getProvider

    public AlertAuxLogProvider getProvider()

  Specified by:
    `getProvider` in interface `AlertAuxLog`

### getURL

    public java.lang.String getURL()

  Description copied from interface: `AlertAuxLog`
  Provide an optional URL which can be used to see more information about the log. This method should return a path after the regular web prefix (i.e. it will be prepended with http://localhost:7080/ or whatever the context is)

  Specified by:
    `getURL` in interface `AlertAuxLog`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.